Bug 1090070 - Review Request: gpaw-setups - GPAW setups
Summary: Review Request: gpaw-setups - GPAW setups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: gpaw-setups (view as bug list)
Depends On:
Blocks: gpaw 1087812
TreeView+ depends on / blocked
 
Reported: 2014-04-22 13:37 UTC by marcindulak
Modified: 2014-05-21 23:31 UTC (History)
2 users (show)

Fixed In Version: gpaw-setups-0.9.11271-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-20 17:05:10 UTC
Type: ---
susi.lehtola: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description marcindulak 2014-04-22 13:37:28 UTC
Spec URL: http://marcindulak.fedorapeople.org/packages/gpaw-setups/r06/gpaw-setups.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/gpaw-setups/r06/gpaw-setups-0.9.11271-6.fc21.src.rpm
Description: GPAW setups. A setup is to the PAW method what a pseudo-potential is to the pseudo-potential method.
Fedora Account System Username: marcindulak

Comment 1 marcindulak 2014-04-22 13:37:58 UTC
*** Bug 983614 has been marked as a duplicate of this bug. ***

Comment 2 Susi Lehtola 2014-04-22 13:50:26 UTC
Please clean up the changelog, since this package hasn't been in any repository.

Also, remove the use of the upstream_svn macro, since it's only used on the Version line. The svn snapshot revision is part of the upstream version tag.

The summary could also be improved, instead of "GPAW setups" you can put in "Atomic GPAW setups", as in the upstream page.

Comment 4 Susi Lehtola 2014-04-22 14:52:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

[!]: License field in the package spec file matches the actual license.
- No license is given in the tarball. Please ask upstream to specify the license.

[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.

[!]: Rpmlint is run on all rpms the build produces.
- Fix the description, the line is too long.

[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: gpaw-setups-0.9.11271-1.fc20.noarch.rpm
          gpaw-setups-0.9.11271-1.fc20.src.rpm
gpaw-setups.noarch: E: description-line-too-long C GPAW setups. A setup is to the PAW method what a pseudo-potential is to the pseudo-potential method.
gpaw-setups.noarch: W: no-documentation
gpaw-setups.src: E: description-line-too-long C GPAW setups. A setup is to the PAW method what a pseudo-potential is to the pseudo-potential method.
2 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gpaw-setups
gpaw-setups.noarch: E: description-line-too-long C GPAW setups. A setup is to the PAW method what a pseudo-potential is to the pseudo-potential method.
gpaw-setups.noarch: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'

Comment 6 Susi Lehtola 2014-04-22 15:37:44 UTC
Also, I'm not quite sure what the phi-0.500-1.000-20.000-21-201.pckl file is doing. To me it seems a random file, and probably it shouldn't even be in the tarball...

Comment 7 marcindulak 2014-04-22 15:49:36 UTC
this is vdw data file

Comment 8 marcindulak 2014-04-30 14:29:54 UTC
The LICENSE file is now included, and the question of bundling resolved.
Please continue with the review.

Comment 9 Susi Lehtola 2014-04-30 14:46:53 UTC
Where's the new spec file?

Comment 10 marcindulak 2014-04-30 14:49:27 UTC
I have updated it in-place (see comment #5).

Comment 11 Susi Lehtola 2014-04-30 14:50:20 UTC
Also, the new upstream tarballs contain LICENSE and COPYING, both of which contain the GPLv3 license text. 

The contents of LICENSE should be similar to the one in GPAW, i.e. a brief statement of what license the setups are distributed under.

You should include both files, in case upstream decides to put in a saner version of LICENSE.


Per Fedora policy, inclusion of some version of the GPL without explicit statement of the licensing means that the software is licensed under any version of the GPL (tag GPL+).

Comment 12 Susi Lehtola 2014-04-30 14:52:01 UTC
(In reply to marcindulak from comment #10)
> I have updated it in-place (see comment #5).

Please respect Fedora review guidelines.

You need to update the revision tag and make relevant entries into the changelog.

Comment 13 marcindulak 2014-04-30 15:12:02 UTC
(In reply to Susi Lehtola from comment #12)
> (In reply to marcindulak from comment #10)
> > I have updated it in-place (see comment #5).
> 
> Please respect Fedora review guidelines.
> 
> You need to update the revision tag and make relevant entries into the
> changelog.
OK.

Spec URL: http://marcindulak.fedorapeople.org/packages/gpaw-setups/r02/gpaw-setups.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/gpaw-setups/r02/gpaw-setups-0.9.11271-2.fc21.src.rpm

From my perspective i would prefer to keep also the old changelog, for the purpose of showing the real origin of the spec.

I took the LICENSE from gpaw. We don't maintain a separate LICENSE file for setups.

Comment 14 Susi Lehtola 2014-04-30 15:31:44 UTC
(In reply to marcindulak from comment #13)
> From my perspective i would prefer to keep also the old changelog, for the
> purpose of showing the real origin of the spec.

... but that was originally your spec, just from many years ago.. so there are no author

IIRC the Fedora policy is that if you import from another public repository for Fedora, you can keep the old changelog. Here, it doesn't seem relevant

> I took the LICENSE from gpaw. We don't maintain a separate LICENSE file for
> setups.

That's OK as well.

**

The %description is not OK. Remove the \ character.

You can do this change upon git import. This package has been

APPROVED.

Comment 15 marcindulak 2014-05-01 07:48:49 UTC
(In reply to Susi Lehtola from comment #14)
> (In reply to marcindulak from comment #13)
> > From my perspective i would prefer to keep also the old changelog, for the
> > purpose of showing the real origin of the spec.
> 
> ... but that was originally your spec, just from many years ago.. so there
> are no author
> 
> IIRC the Fedora policy is that if you import from another public repository
> for Fedora, you can keep the old changelog. Here, it doesn't seem relevant

gpaw-setups are in a public repository: http://download.opensuse.org/repositories/home:/dtufys/Fedora_19/noarch/

> 
> > I took the LICENSE from gpaw. We don't maintain a separate LICENSE file for
> > setups.
> 
> That's OK as well.
> 
> **
> 
> The %description is not OK. Remove the \ character.

OK

> 
> You can do this change upon git import. This package has been
> 
> APPROVED.

thanks

Comment 16 Susi Lehtola 2014-05-01 07:53:57 UTC
(In reply to marcindulak from comment #15)
> (In reply to Susi Lehtola from comment #14)
> > IIRC the Fedora policy is that if you import from another public repository
> > for Fedora, you can keep the old changelog. Here, it doesn't seem relevant
> 
> gpaw-setups are in a public repository:
> http://download.opensuse.org/repositories/home:/dtufys/Fedora_19/noarch/

Well, if you can call that a repository. It's mainly related to e.g. Dag Wieer's repo, or nowadays rpmfusion. Anyway, this is academic discussion; I just find it much clearer in this case to start the changelog from scratch. If you insist on keeping the old recors, just be sure it's crystal clear which version was packaged for inclusion in Fedora.

Comment 17 marcindulak 2014-05-01 08:19:25 UTC
(In reply to Susi Lehtola from comment #16)
> (In reply to marcindulak from comment #15)
> > (In reply to Susi Lehtola from comment #14)
> > > IIRC the Fedora policy is that if you import from another public repository
> > > for Fedora, you can keep the old changelog. Here, it doesn't seem relevant
> > 
> > gpaw-setups are in a public repository:
> > http://download.opensuse.org/repositories/home:/dtufys/Fedora_19/noarch/

it's the opensuse build system: https://build.opensuse.org/project/show/home:dtufys

> 
> Well, if you can call that a repository. It's mainly related to e.g. Dag
> Wieer's repo, or nowadays rpmfusion. Anyway, this is academic discussion; I
> just find it much clearer in this case to start the changelog from scratch.
> If you insist on keeping the old recors, just be sure it's crystal clear
> which version was packaged for inclusion in Fedora.

I'm OK with discarding the old changelog in this case because i think this is the only gpaw-setups.spec existing online (if we ignore your review request).

Comment 18 marcindulak 2014-05-01 08:19:51 UTC
New Package SCM Request
=======================
Package Name: gpaw-setups
Short Description: Atomic GPAW setups
Owners: marcindulak
Branches: f19 f20 el6 epel7
InitialCC:

Comment 19 Gwyn Ciesla 2014-05-01 11:49:04 UTC
Git done (by process-git-requests).

Comment 20 Fedora Update System 2014-05-01 13:41:30 UTC
gpaw-setups-0.9.11271-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gpaw-setups-0.9.11271-2.fc19

Comment 21 Fedora Update System 2014-05-01 13:41:38 UTC
gpaw-setups-0.9.11271-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gpaw-setups-0.9.11271-2.el6

Comment 22 Fedora Update System 2014-05-01 13:41:50 UTC
gpaw-setups-0.9.11271-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gpaw-setups-0.9.11271-2.fc20

Comment 23 Fedora Update System 2014-05-01 18:29:32 UTC
gpaw-setups-0.9.11271-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 24 Fedora Update System 2014-05-20 17:05:10 UTC
gpaw-setups-0.9.11271-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 25 Fedora Update System 2014-05-21 23:28:21 UTC
gpaw-setups-0.9.11271-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 26 Fedora Update System 2014-05-21 23:31:19 UTC
gpaw-setups-0.9.11271-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.